Bug 202736 - X segvs on resume from suspend to RAM on a Thinkpad R32
X segvs on resume from suspend to RAM on a Thinkpad R32
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-15 23:30 EDT by bperkins
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 10:08:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bperkins 2006-08-15 23:30:04 EDT
Description of problem:

When coming back from sleep, Xorg on my Thinkpad R32 crashes about 1 out of 5
times.  

I see this same behavior with kernel-2.6.17-1.2157_FC5 and
kernel-2.6.17-1.2174_FC5.  If I use kernel-2.6.15-1.1833_FC4, I do not see this
problem (the sound works better on 2.6.17).  

After the crash, X starts up fine, though it looks like the old vt is hosed, so
it uses the next one.  


I currently chvt 1, before resume and chvt 8 afterwards to prevent video from
freezing up, which I observed in 2157_FC5, but not in  1833_FC4. 

 I also use the radeonfb kernel module at boot to prevent power drain during
suspend, as described here:

http://www.thinkwiki.org/wiki/Problem_with_high_power_drain_in_ACPI_sleep#testing_radeonfb_without_changing_initrd




Backtrace:
0: /usr/bin/Xorg(xf86SigHandler+0x87) [0x80b8727]
1: [0x40fff420]
2: /usr/lib/xorg/modules/libfb.so(fbSolid+0x170) [0xcbb540]
3: /usr/lib/xorg/modules/libfb.so(fbFillRegionSolid+0xdb) [0xcbd13b]
4: /usr/lib/xorg/modules/libfb.so(fbPaintWindow+0xb3) [0xcbd223]
5: /usr/lib/xorg/modules/libxaa.so(XAAPaintWindow+0x150) [0x4aca10]
6: /usr/bin/Xorg [0x8156114]
7: /usr/bin/Xorg [0x8151971]
8: /usr/bin/Xorg(compPaintWindowBackground+0x6d) [0x81a55fd]
9: /usr/bin/Xorg(miWindowExposures+0xfa) [0x8107aaa]
10: /usr/lib/xorg/modules/extensions/libdri.so(DRIWindowExposures+0x89) [0x3fc4d
9]
11: /usr/bin/Xorg [0x80cbffa]
12: /usr/bin/Xorg(miHandleValidateExposures+0x78) [0x811f7d8]
13: /usr/bin/Xorg(UnmapWindow+0x1e7) [0x80741d7]
14: /usr/bin/Xorg(ProcUnmapWindow+0x5d) [0x80881cd]
15: /usr/bin/Xorg(Dispatch+0x19b) [0x808895b]
16: /usr/bin/Xorg(main+0x487) [0x80701d7]
17: /lib/libc.so.6(__libc_start_main+0xdc) [0x418a2724]
18: /usr/bin/Xorg(FontFileCompleteXLFD+0xb1) [0x806f511]
Comment 1 Matěj Cepl 2006-12-22 13:07:42 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 bperkins 2007-01-01 17:14:02 EST
Sorry, I forgot that I had filed this.
Some fiddling with my resume script made this go away, and I use a different
machine now.

You can probably just set this to worksforme.

Note You need to log in before you can comment on or make changes to this bug.